Package io.vertx.rxjava3.mssqlclient

## Class MSSQLBuilder

- java.lang.Object
- - io.vertx.rxjava3.mssqlclient.MSSQLBuilder

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class MSSQLBuilder
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Entry point for building MSSQL clients.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<MSSQLBuilder>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MSSQLBuilder​(MSSQLBuilder delegate)` |
    `MSSQLBuilder​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `MSSQLBuilder` | `getDelegate()` |
    `int` | `hashCode()` |
    `static MSSQLBuilder` | `newInstance​(MSSQLBuilder arg)` |
    `static ClientBuilder<Pool>` | `pool()` | Provide a builder for MSSQL pool of connections
    `static Pool` | `pool​(Handler<ClientBuilder<Pool>> block)` | Build a pool with the specified `block` argument.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MSSQLBuilder> __TYPE_ARG

  - ### Constructor Detail

    - #### MSSQLBuilder

          public MSSQLBuilder​(MSSQLBuilder delegate)

    - #### MSSQLBuilder

          public MSSQLBuilder​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MSSQLBuilder getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### pool

          public static Pool pool​(Handler<ClientBuilder<Pool>> block)

      Build a pool with the specified `block` argument. The `block` argument is usually a lambda that configures the provided builder

      Example usage: `Pool pool = PgBuilder.pool(builder -> builder.connectingTo(connectOptions));`

      Parameters:
        `block` -
      Returns:
        the pool as configured by the code `block`

    - #### pool

          public static ClientBuilder<Pool> pool()

      Provide a builder for MSSQL pool of connections

      Example usage: `Pool pool = PgBuilder.pool().connectingTo(connectOptions).build()`

      Returns:

    - #### newInstance

          public static MSSQLBuilder newInstance​(MSSQLBuilder arg)